import axios from 'axios';

export interface Carousel {
    id:         number;
    created_at: Date;
    updated_at: Date;
    img_url:    string;
}

export interface Data {
    carousel:   Carousel[];
    carouselad: Carousel[];
}

export interface res_carousel {
    status:  string;
    code:    number;
    data:    Data;
    message: string;
}


/**
 * 获取轮播图
 * @returns 
 */
export function getCarousel() {
  return axios.post<res_carousel>('/admin/api/v1/carousel/get_carousel');
}
/**
 *获取广告轮播图
 * @returns 
 */
export function getCarouselAd() {
    return axios.post<res_carousel>('/admin/api/v1/carousel/get_carouselad');
}
/**
 * 添加轮播图  类型0是首页轮播图1是广告图
 * @param img_url 
 * @param type 
 * @returns 
 */
export function carouselAdd(img_url:string,type:Number) {
    return axios.post<res_carousel>('/admin/api/v1/carousel/add',{img_url,type});
}
/**
 * 删除轮播图
 * @param id 
 * @returns 
 */
export function carouselDel(id:number,type:Number) {
    return axios.post<res_carousel>('/admin/api/v1/carousel/del',{id,type});
}
/**
 * 替换轮播图
 * @param id 
 * @param type 
 * @returns 
 */
export function carouselChang(id:number,type:Number,img_url:string) {
    return axios.post<res_carousel>('/admin/api/v1/carousel/chang',{id,type,img_url});
}