import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const JOBUSER: AppRouteRecordRaw = {
  path: '/jobuser',
  name: 'jobuser',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.jobuser',
    requiresAuth: true,
    icon: 'Person fill gear',
    order: 0,
  },
  children: [
    {
      path: 'jobusers',
      name: 'jobusers',
      component: () => import('@/views/jobuser/index.vue'),
      meta: {
        locale: 'menu.jobuser.userlist',
        requiresAuth: true,
        roles: ['*'],
      },
    },
    {
        path: 'userblack',
        name: 'userblack',
        component: () => import('@/views/userblack/index.vue'),
        meta: {
          locale: 'menu.userblack.userlist',
          requiresAuth: true,
          roles: ['*'],
        },
      },

    // {
    //   path: 'monitor',
    //   name: 'Monitor',
    //   component: () => import('@/views/jobuser/monitor/index.vue'),
    //   meta: {
    //     locale: 'menu.jobuser.monitor',
    //     requiresAuth: true,
    //     roles: ['admin'],
    //   },
    // },
  ],
};

export default JOBUSER;
